## org.jfree.report.structure
Class SubReport

    java.lang.Object
      org.jfree.report.structure.Node
          org.jfree.report.structure.Element
              org.jfree.report.structure.Section
                  org.jfree.report.structure.ReportDefinition
                      org.jfree.report.structure.SubReport

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class SubReport

extends ReportDefinition

Creation-Date: 04.03.2006, 21:38:21

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.report.structure.Element
`ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

Constructor Summary
`SubReport()`

Method Summary
`void` `addExportParameter(java.lang.String outerName, java.lang.String innerName)`
`void` `addInputParameter(java.lang.String outerName, java.lang.String innerName)`
`java.lang.Object` `clone()`
`ParameterMapping[]` `getExportMappings()`
`java.lang.String` `getExportParameter(java.lang.String outerName)`
`java.lang.String[]` `getExportParameters()`
`java.lang.String` `getInnerParameter(java.lang.String outerName)`
`ParameterMapping[]` `getInputMappings()`
`java.lang.String[]` `getInputParameters()`
`java.lang.String[]` `getPeerExportParameters()`
`java.lang.String[]` `getPeerInputParameters()`
`boolean` `isGlobalExport()`
`boolean` `isGlobalImport()`
`void` `removeExportParameter(java.lang.String outerName)`
`void` `removeInputParameter(java.lang.String outerName)`

Methods inherited from class org.jfree.report.structure.ReportDefinition
`getGroup, getQuery, getReport, setQuery`

Methods inherited from class org.jfree.report.structure.Section
`addNode, addNode, addNodes, addOperationAfter, addOperationBefore, findFirstChild, getElementByName, getNode, getNodeArray, getNodeCount, getNodes, getOperationAfter, getOperationBefore, isRepeat, removeNode, setOperationAfter, setOperationBefore, setRepeat, toString`

Methods inherited from class org.jfree.report.structure.Element

`addExpression, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

Methods inherited from class org.jfree.report.structure.Node
`getParent, getRootReport, setParent, updateParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubReport

    public SubReport()

Method Detail

### addExportParameter

    public void addExportParameter(java.lang.String outerName,
                                   java.lang.String innerName)

### removeExportParameter

    public void removeExportParameter(java.lang.String outerName)

### getExportParameter

    public java.lang.String getExportParameter(java.lang.String outerName)

### getExportParameters

    public java.lang.String[] getExportParameters()

### getPeerExportParameters

    public java.lang.String[] getPeerExportParameters()

### getExportMappings

    public ParameterMapping[] getExportMappings()

### addInputParameter

    public void addInputParameter(java.lang.String outerName,
                                  java.lang.String innerName)

### removeInputParameter

    public void removeInputParameter(java.lang.String outerName)

### getInnerParameter

    public java.lang.String getInnerParameter(java.lang.String outerName)

### getInputParameters

    public java.lang.String[] getInputParameters()

### getPeerInputParameters

    public java.lang.String[] getPeerInputParameters()

### getInputMappings

    public ParameterMapping[] getInputMappings()

### isGlobalImport

    public boolean isGlobalImport()

### isGlobalExport

    public boolean isGlobalExport()

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `Section`
  Throws:
    `java.lang.CloneNotSupportedException`